//app.js
var api = require('utils/api.js');
App({
  onLaunch: function() {
    //调用API从本地缓存中获取数据
    var logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)
    var that = this;
    wx.checkSession({
      success: function() {
        var we_chat_user_id = wx.getStorageSync('we_chat_user_id')
        if(!we_chat_user_id) {
          that.login()
        }
      },
      fail: function() {
        that.login()
      }
    })
  },

  getUserInfo: function(cb) {
    var that = this
    if (this.globalData.userInfo) {
      typeof cb == "function" && cb(this.globalData.userInfo)
    } else {
      //调用登录接口
      wx.getUserInfo({
        withCredentials: false,
        success: function(res) {
          that.globalData.userInfo = res.userInfo
          typeof cb == "function" && cb(that.globalData.userInfo)
        }
      })
    }
  },

  globalData: {
    userInfo: null,
    ptStudent: null
  },
  login: function(info) {
    wx.login({
      success: res => {
        wx.request({
          url: api.loginUrl,
          method: 'GET',
          data: {
            code: res.code
          },
          success: res => {
            if (res.data.status == 'success') {
              wx.setStorageSync('we_chat_user_id', res.data.id);
            }
          }
        })
      }
    })
  }
})